Bug 744864 - Review Request: sugar-portfolio - Portfolio is a simple tool for generating slide show from starred Journal entries
Summary: Review Request: sugar-portfolio - Portfolio is a simple tool for generating s...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-10-10 17:31 UTC by Kalpa Welivitigoda
Modified: 2011-12-11 21:48 UTC (History)
3 users (show)

Fixed In Version: sugar-portfolio-15-2.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-02 17:21:48 UTC
Type: ---
pbrobinson: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Kalpa Welivitigoda 2011-10-10 17:31:13 UTC
Spec URL: http://callkalpa.fedorapeople.org/sugar-portfolio/sugar-portfolio.spec
SRPM URL:
http://callkalpa.fedorapeople.org/sugar-portfolio/sugar-portfolio-13-1.fc15.src.rpm
Description:

Hi, I just finished packaging sugar-portfolio.

Portfolio is an activity for sugar and is a simple tool for generating a slide show from Journal entries that have been starred. The title, description, and preview image are used to auto-generate a slide. The slide show itself can be 
saved as an HTML document that can be shared.

Comment 2 Peter Robinson 2011-11-09 00:12:24 UTC
I'll review this

Comment 3 Peter Robinson 2011-12-01 16:23:19 UTC
Looks good. APPROVED!

+ rpmlint output

$ rpmlint sugar-portfolio-15-1.fc16.src.rpm sugar-portfolio-15-1.fc16.noarch.rpm sugar-portfolio.spec
sugar-portfolio.src: W: non-standard-group Sugar/Activities
sugar-portfolio.noarch: W: non-standard-group Sugar/Activities
sugar-portfolio.spec:6: W: non-standard-group Sugar/Activities
2 packages and 1 specfiles checked; 0 errors, 3 warnings.

+ package name satisfies the packaging naming guidelines
+ specfile name matches the package base name
+ package should satisfy packaging guidelines
+ license meets guidelines and is acceptable to Fedora
+ license matches the actual package license
+ latest version packaged

+ %doc includes license file
+ spec file written in American English
+ spec file is legible
+ upstream sources match sources in the srpm
  689ebbee97a82125249f42837bcef362  Portfolio-15.tar.bz2
+ package successfully builds on at least one architecture
  tested using koji scratch build
+ BuildRequires list all build dependencies
+ %find_lang instead of %{_datadir}/locale/*
n/a binary RPM with shared library files must call ldconfig in %post and %postun+ does not use Prefix: /usr
n/a package owns all directories it creates
n/a no duplicate files in %files
+ Package perserves timestamps on install
+ Permissions on files must be set properly 
+ %defattr line
+ consistent use of macros
+ package must contain code or permissible content
n/a large documentation files should go in -doc subpackage
+ files marked %doc should not affect package runtime 
n/a header files should be in -devel
n/a static libraries should be in -static
n/a packages containing pkgconfig (.pc) files need 'Requires: pkgconfig'
n/a libfoo.so must go in -devel
n/a devel must require the fully versioned base
+ packages should not contain libtool .la files
n/a packages containing GUI apps must include %{name}.desktop file
+ packages must not own files or directories owned by other packages
+ filenames must be valid UTF-8

Optional:

n/a if there is no license file, packager should query upstream to include it
n/a translations of description and summary for non-English languages, if
available
+ reviewer should build the package in mock/koji
+ the package should build into binary RPMs on all supported architectures
n/a review should test the package functions as described
+ scriptlets should be sane
n/a non -devel packages should require fully versioned base
n/a pkgconfig files should go in -devel
+ shouldn't have file dependencies outside /etc /bin /sbin /usr/bin or
/usr/sbin
n/a Package should have man files

Comment 4 Kalpa Welivitigoda 2011-12-02 01:26:12 UTC
New Package SCM Request
=======================
Package Name: sugar-portfolio
Short Description: Portfolio is a simple tool for generating slide show from starred Journal entries
Owners: callkalpa
Branches: f15 f16
InitialCC: pbrobinson

Comment 5 Gwyn Ciesla 2011-12-02 13:10:09 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2011-12-02 15:49:09 UTC
sugar-portfolio-15-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/sugar-portfolio-15-1.fc15

Comment 7 Fedora Update System 2011-12-02 17:15:45 UTC
sugar-portfolio-15-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/sugar-portfolio-15-2.fc15

Comment 8 Fedora Update System 2011-12-02 17:15:54 UTC
sugar-portfolio-15-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/sugar-portfolio-15-2.fc16

Comment 9 Fedora Update System 2011-12-11 21:47:42 UTC
sugar-portfolio-15-2.fc16 has been pushed to the Fedora 16 stable repository.

Comment 10 Fedora Update System 2011-12-11 21:48:58 UTC
sugar-portfolio-15-2.fc15 has been pushed to the Fedora 15 stable repository.


Note You need to log in before you can comment on or make changes to this bug.